######################################################################
#  Licensed Material - Property of IBM                               #  
#  5655-I35 (C) Copyright IBM Corp. 2005                             # 
#  All Rights Reserved.                                              #
#  U.S. Government users - RESTRICTED RIGHTS - Use, Duplication, or  #
#  Disclosure restricted by GSA-ADP schedule contract with IBM Corp. # 
#  Status = H28W602,H28W610                                          #
######################################################################

def convertToList( inlist ):
    outlist = []
    if (len(inlist) > 0):
       if (inlist[0] == '[' and inlist[len(inlist) - 1] == ']'):
          # Special checking when the config name contain space 
          if (inlist[1] == "\"" and inlist[len(inlist)-2] == "\""):
             clist = inlist[1:len(inlist) -1].split(")\" ")
          else:
             clist = inlist[1:len(inlist) - 1].split(" ")
          #endIf
       else:
          clist = inlist.split(java.lang.System.getProperty("line.separator"))
       #endIf
        
       for elem in clist:
           elem = elem.rstrip();
           if (len(elem) > 0):
              if (elem[0] == "\"" and elem[len(elem) -1] != "\""):
                 elem = elem+")\""
              #endIf   
              outlist.append(elem)
           #endIf
        #endFor
    #endIf    
    return outlist
#endDef

#Defect affects standalone profile type only
cell=AdminConfig.list('Cell')
cellType = AdminConfig.showAttribute(cell, 'cellType')

if not cellType == 'STANDALONE' :
    print 'Cell type is: ', cellType, '. Exiting work on this profile.'
    sys.exit()
#endif 

#check cell var map for WAS_CELL_NAME. Add it if not found.
cellName = AdminConfig.showAttribute(cell, 'name')

print 'Cell: ', cell, ' name: ', cellName
cellVarMap=AdminConfig.getid('/Cell:' + cellName + '/VariableMap:/')
entries=AdminConfig.showAttribute(cellVarMap, 'entries')
entries=convertToList(entries)
foundVar=0
print 'Checking cell variable map for WAS_CELL_NAME'
for entry in entries:
    name=AdminConfig.showAttribute(entry,'symbolicName')
    if name=='WAS_CELL_NAME' :
        print 'Found WAS_CELL_NAME: |', AdminConfig.showAttribute(entry,'value'), '|'         
        foundVar = 1
        break
    #endif    
#endfor

if not foundVar :
    print 'Var not found so adding'
    newVar = '[-variableName WAS_CELL_NAME -variableValue ' + cellName + ' ]'
    AdminTask.setVariable(newVar)
    AdminConfig.save()
    print 'Added var'
#endif 